package com.grupo.proyectoescuela.repositorio;

import com.grupo.proyectoescuela.modelo.Estudiante;
import com.grupo.proyectoescuela.modelo.Nota;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * Repositorio para la entidad Nota.
 * Extiende JpaRepository para proporcionar métodos de manipulación de datos estándar para la entidad Nota.
 * @see org.springframework.data.jpa.repository.JpaRepository
 */
public interface NotaRepositorio extends JpaRepository<Nota, Long> {

    /**
     * Método para buscar todas las notas asociadas a un estudiante específico.
     *
     * @param estudiante el estudiante cuyas notas queremos encontrar
     * @return una lista de notas asociadas al estudiante proporcionado
     */
    List<Nota> findByEstudiante(Estudiante estudiante);
}
