package com.grupo.proyectoescuela.controlador;

import java.util.List;
import com.grupo.proyectoescuela.modelo.Estudiante;
import com.grupo.proyectoescuela.util.ApiRequest;

/**
 * Controlador para operaciones de los estudiantes.
 * Se comunica con la API del backend para realizar operaciones CRUD sobre estudiantes.
 */
public class ControladorEstudiante {

    private ApiRequest apiRequest = new ApiRequest();

    /**
     * Método para crear un estudiante utilizando la API del backend.
     *
     * @param nombre el nombre del estudiante a crear
     * @param email el correo electrónico del estudiante a crear
     */
    public void crearEstudiante(String nombre, String email) {
        Estudiante estudiante = new Estudiante(nombre, email);
        apiRequest.postRequest("http://localhost:8080/estudiantes", estudiante);
    }

    /**
     * Método para obtener una lista de estudiantes utilizando la API del backend.
     *
     * @return una lista de estudiantes
     */
    public List<Estudiante> obtenerEstudiantes() {
        return apiRequest.getRequest("http://localhost:8080/estudiantes", Estudiante.class);
    }
}
