/**
 * La clase VistaPrincipal representa la vista principal de la aplicación.
 * Esta vista contiene las vistas secundarias de los Estudiantes y las Notas, y un título en el centro.
 * Utiliza JavaFX para crear la interfaz gráfica de usuario.
 */
package com.grupo.proyectoescuela.vista;

import javafx.scene.control.Label;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;

public class VistaPrincipal {

    /**
     * Crea y devuelve un Pane que contiene la interfaz de usuario de la vista principal.
     * El Pane es un BorderPane que contiene las vistas de Estudiante y Nota a la izquierda y a la derecha respectivamente,
     * y un Label con el título en el centro.
     *
     * @return Un Pane que contiene la interfaz de usuario de la vista principal.
     */
    public Pane crearVistaPrincipal() {
        BorderPane root = new BorderPane();

        VistaEstudiante vistaEstudiante = new VistaEstudiante();
        root.setLeft(vistaEstudiante.crearVistaEstudiante());

        VistaNota vistaNota = new VistaNota();
        root.setRight(vistaNota.crearVistaNota());

        Label label = new Label("Proyecto API REST Notas");
        root.setCenter(label);

        return root;
    }
}
